require.config({
    paths: {
        jquery: "./lib/jquery-1.10.2.min",
        template: "./lib/template-web",
        common: "./common"
    }
});

define(["common", "jquery", "template"], function(common, $, template) {
    //初始化公共方法
    common.init();

    //转成已过去时间
    template.defaults.imports.getDateDiff = common.getDateDiff;

    template.defaults.imports.exphtmltag = common.exphtmltag;

    function HTMLDecode(text) {
        var temp = document.createElement("div");
        temp.innerHTML = text;
        var output = temp.innerText || temp.textContent;
        temp = null;
        return output;
    }

    var wx = api.require('wx');
    var aid = api.pageParam.aid;
    var _description="";

    // 直接获取文章详情
    api.showProgress({
        style: 'default',
        animationType: 'fade',
        modal: true
    });
    fetch(common.api + "/Home/Article/getArticleById", {
        method: 'POST',
        headers: {
            'Content-Type': 'application/json'
        },
        body: JSON.stringify({
            article_id: aid,
            key: common.getkey()
        })
    }).then(function(response) {
        return response.json();
    }).then(function(json) {
        //console.log(JSON.stringify(json));
        //return false;
        if (json.code == 1) {
            var article = json.article;
            var boxhtml = template('article_tmp', {
                article: article
            });
            //console.log(boxhtml);
            $("#article").html(boxhtml);
            _description=article.title;
            //设置分享信息
            $api.setStorage('shareInfo', JSON.stringify({pagetype:"activityDetail"}));

            //如果文章已经收藏，通知头部
            if(article.is_collect==1){
              api.sendEvent({
                  name: 'checkCollect',
                  extra: {
                      key: '1'
                  }
              });
            }

            finishRender();
        } else {
            api.alert({
                msg: json.msg
            });
        }
        api.hideProgress();
    });

    api.setRefreshHeaderInfo({
        loadingImg: 'widget://image/refresh.png',
        bgColor: '#ccc',
        textColor: '#fff',
        textDown: '下拉刷新...',
        textUp: '松开刷新...'
    }, function(ret, err) {
        //加载完成后调用api.refreshHeaderLoadDone()方法恢复组件到默认状态
        setTimeout(function() {
            api.refreshHeaderLoadDone();
            location.reload();
        }, 1000);
    });

    $(".gotop").on("click", function() {
        api.pageUp({
            top: true
        });
    });

    // 数据渲染完成事件
    function finishRender() {
        //切换点赞
        common.zan(aid);

        $("#comment").on("change", function() {
           var str = $(this).val();
            if($.trim(str).length>0){
              $(".zan-box").hide();
              $(".send-btn").css("display", "inline-block");
            }else{
               $(".send-btn").hide();
               $(".zan-box").css("display", "inline-block");
            }
        });
        $(".send-btn").on("click", function() {
            var cont = $("#comment").val();
            common.sendComment(aid, cont,function(json){
              //console.log(JSON.stringify(json));
              $(".send-btn").hide();
              $(".zan-box").css("display", "inline-block");
              if(json.code==1){
                var list = json.list;
                var boxhtml = template('commont_tmp', {
                    comment_list: list,
                    count:json.count
                });
                console.log(boxhtml);
                $(".comment-list").html(boxhtml);
              }
            });
        });

        $(".head-list").on("click",function(){
          api.openWin({
              name: 'interestBar',
              url: './interestBar.html',
              pageParam: {
                  aid: aid
              }
          });
        });

        //展开全部评论
        $(".showall_btn").on("click",function(){
           api.openWin({
               name: 'commonBar',
               url: './commonBar.html',
               pageParam: {
                   aid: aid
               }
           });
        });
    }

    //隐藏分享框
    $(".cover_bg").on("click",function(){
      $(".cover_bg").fadeOut(300);
      $(".share_icons").removeClass("showIn");
    });

    //点击分享朋友圈
    $("#wx2").on("click",function(){
        doWxShare("timeline");
    });
    //点击分享给好友
    $("#wx1").on("click",function(){
        doWxShare("session");
    });

    //微信分享方法
    function doWxShare(type){
      //session（会话）;timeline（朋友圈）
      wx.shareWebpage({
          apiKey: '',
          scene: type,
          title: "活动资讯",
          description: _description,
          thumb:"widget://image/shareIcon.png",  //要求本地路径
          contentUrl: 'http://xcx1.weekendjetso.com/Home/Share/mainDetail'+"?aid="+aid
      }, function(ret, err) {
          if (ret.status) {
              api.alert({  msg: "分享成功"});
          } else {
              //api.alert({  msg:err.code});
          }
      });
    }

});
