require.config({
    paths: {
        jquery: "./lib/jquery-1.10.2.min",
        swiper: "./lib/swiper.min",
        common: "./common",
        //vconsole:"./lib/vconsole.min"
    }
});

define(["common", "jquery", "swiper"], function(common, $, Swiper) {

    //初始化公共方法
    common.init();

    // 获取验证码
    function getVcode() {
        var phone = $("#telephone").val();
        fetch(common.api + "/Home/Com/getTelephoneCheckCode", {
            method: 'POST',
            headers: {
                'Content-Type': 'application/json'
            },
            body: JSON.stringify({
                telephone: phone
            })
        }).then(function(response) {
            return response.json();
        }).then(function(json) {
            if(json.code==1){
              api.alert({
                  msg: "发送成功，请留意短信"
              });
            }else{
              api.alert({
                  msg: JSON.stringify(json.msg)
              });
            }
        });
    }

    //手机号绑定
    function bindMobile() {
        var phone = $("#telephone").val();
        var vcode = $("#vcode").val();
        if (phone == "") {
            api.alert({
                msg: "请输入手机号"
            });
            return false;
        }
        if (phone.length != 11) {
            api.alert({
                msg: "手机号码格式不正确"
            });
            return false;
        }

        fetch(common.api + "/Home/Com/bindTelephone", {
            method: 'POST',
            headers: {
                'Content-Type': 'application/json'
            },
            body: JSON.stringify({
                key:common.getkey(),
                telephone: phone,
                check_code: vcode
            })
        }).then(function(response) {
            return response.json();
        }).then(function(json) {
            //api.alert({msg: JSON.stringify(json)});
            if (json.code == 1) {
                api.execScript({
                    name: 'root',
                    frameName: 'my',
                    script: 'location.reload();'
                });
                api.alert({
                    msg: "绑定成功"
                },function(){
                  api.closeToWin({
                      name: 'root'
                  });
                });  
            } else {
                api.alert({
                    msg: json.msg
                });
            }
        });
    }

    $("#getCode").on("click", function() {
        getVcode();
    });

    $("#bind").on("click", function() {
        bindMobile();
    });

    $(".close_btn").on("click", function() {
        api.closeWin();
    });

});
