define(function(require, exports, module) {
    require('lib/jquery-1.10.2.min');
    require('lib/meta');
    require('./api');
    var FastClick = require('lib/fastclick');

    //全局变量
    exports.getkey = function(){
      var key = $api.getStorage("key");
      if(key==undefined){
        return "";
      }else{
        return key;
      }
    }

    // 初始化
    exports.init = function() {
      // $(function() {
      //     FastClick.attach(document.body);
      // });
    }

    //html标签转化
    exports.exphtmltag=function(text){
      var temp = document.createElement("div");
     	temp.innerHTML = text;
     	var output = temp.innerText || temp.textContent;
     	temp = null;
     	return output;
    }

    //增加文章浏览量、点赞量、收藏量函数
    //参数:文章ID，type:1浏览，2点赞，3收藏
    exports.addArticleNum=function(article_id,type,callback){
      var me = this;
      fetch(me.api+"/Home/Article/addArticleNum", {
        method: 'POST',
        headers: {
          'Content-Type': 'application/json'
        },
        body: JSON.stringify({
          key:me.getkey(),
          article_id:article_id,
          type:type
        })
      }).then(function(response) {
          return response.json();
      }).then(function(json) {
          me.authJump(json);
          me.reloadCenter();
          callback(json);
      });
    }

    //取消文章点赞量、收藏量函数
    //参数:文章ID，type:2点赞，3收藏
    exports.cancelArticleNum=function(article_id,type,callback){
      var me = this;
      //console.log("key:"+me.getkey());
      fetch(me.api+"/Home/Article/cancelArticleNum", {
        method: 'POST',
        headers: {
          'Content-Type': 'application/json'
        },
        body: JSON.stringify({
          key:me.getkey(),
          article_id:article_id,
          type:type
        })
      }).then(function(response) {
          return response.json();
      }).then(function(json) {
          me.reloadCenter();
          callback(json);
      });
    }

    //时间转化为过去时间
    exports.getDateDiff=function(dateTimeStamp){
        var minute = 1000 * 60;
        var hour = minute * 60;
        var day = hour * 24;
        var halfamonth = day * 15;
        var month = day * 30;
        var now = new Date().getTime();
        var diffValue = now - dateTimeStamp*1000;
        if(diffValue < 0){return;}
        var monthC =diffValue/month;
        var weekC =diffValue/(7*day);
        var dayC =diffValue/day;
        var hourC =diffValue/hour;
        var minC =diffValue/minute;
        if(monthC>=1){
          result="" + parseInt(monthC) + "月前";
        }
        else if(weekC>=1){
          result="" + parseInt(weekC) + "周前";
        }
        else if(dayC>=1){
          result=""+ parseInt(dayC) +"天前";
        }
        else if(hourC>=1){
          result=""+ parseInt(hourC) +"小时前";
        }
        else if(minC>=1){
          result=""+ parseInt(minC) +"分钟前";
        }else
        result="刚刚";
        return result;
    }

    // 接口路径
    exports.api = "http://xcx1.weekendjetso.com";

    //刷新个人中心
    exports.reloadCenter=function(){
      api.execScript({
          name: 'root',
          frameName: 'my',
          script: 'location.reload();'
      });
    }

    //点赞
    exports.zan = function(aid){
      var me = this;
      //切换点赞
      $(".zan-box").on("click",function(){
        var zan=$(this);
        if($(this).hasClass("ed")){
          //取消点赞
          me.cancelArticleNum(aid,2,function(data){
            //console.log(JSON.stringify(data));
            if(data.code==1){
              zan.removeClass("ed");
              var num = parseInt($("#good_num").text());
              $("#good_num").text(num-1);
              $("#tip_layer").find(".tip").text("已取消点赞");
              $("#tip_layer").fadeIn("fast").delay(1000).fadeOut("fast");
            }else{
              api.alert({msg: data.msg});
            }
          });
        }else{
          //增加点赞
          me.addArticleNum(aid,2,function(data){
            //console.log(JSON.stringify(data));
            if(data.code==1){
              var num = parseInt($("#good_num").text());
              $("#good_num").text(num+1);
              $("#tip_layer").find(".tip").text("点赞成功");
              $("#tip_layer").fadeIn("fast").delay(1000).fadeOut("fast");
              zan.addClass("ed");
            }else{
              api.alert({msg: data.msg});
              me.authJump(data);
            }
          });
        }
      });
    }

    //登录验证跳转
    exports.authJump=function(data){
      if(data.is_login==0){
        api.openWin({
            name: 'login',
            url: './login.html',
            bgColor:"#f2f2f2"
        });
      }
      // if(!data.has_telephone){
      //   api.openWin({
      //       name: 'bindPhone',
      //       url: './bindPhone.html'
      //   });
      // }
    }

    //获取全部评论
    exports.getCommentList=function(aid,callback){

      var me=this;
      fetch(me.api + "/Home/Article/getCommentList", {
          method: 'POST',
          headers: {
              'Content-Type': 'application/json'
          },
          body: JSON.stringify({
              article_id: aid
          })
      }).then(function(response) {
          return response.json();
      }).then(function(json) {
          if (json.code == 1) {
              callback(json);
          } else {
              api.alert({
                  msg: json.msg
              });
          }
      });
    }

    //发表评论
    exports.sendComment=function(aid,cont,callback){
      var me=this;
      //console.log(me.getkey());
      if(me.getkey()==undefined || me.getkey().length==0){
        // api.alert({
        //     msg: '请先登录',
        // });
        api.execScript({
            name: 'root',
            script: "api.openWin({name: 'login',url: 'html/login.html',rect: {x: 0,y: 0,w: 'auto',h: 'auto'},bounces: false});"
        });
        return false;
      }
      fetch(me.api+"/Home/Article/addComment", {
    	  method: 'POST',
    	  headers: {
    	    'Content-Type': 'application/json'
    	  },
    	  body: JSON.stringify({
    	    key: me.getkey(),
          article_id:aid,
          content:cont
    	  })
    	}).then(function(response) {
          return response.json();
      }).then(function(json) {
          //console.log(JSON.stringify(json));
          if(json.code==1){
            $("#comment").val("");
            $("#tip_layer").find(".tip").text("发表成功");
            $("#tip_layer").fadeIn("fast").delay(1000).fadeOut("fast");
            me.reloadCenter();
            //请求所有评论，并返回
            me.getCommentList(aid,function(json){
              callback(json); //成功后执行回调函数
            });

          }else{
            api.alert({msg:json.msg});
          }
      });
    }

});
