require.config({
  paths: {
    jquery: "./lib/jquery-1.10.2.min",
    template: "./lib/template-web",
    common:"./common"
  }
});

define(["common","jquery","template"], function(common,$,template) {
      //初始化公共方法
      common.init();
      var aid = api.pageParam.aid;

      //转成已过去时间
      template.defaults.imports.getDateDiff = common.getDateDiff;

      api.showProgress({
          style: 'default',
          animationType: 'fade',
          modal: true
      });
      fetch(common.api + "/Home/Article/getCommentList", {
          method: 'POST',
          headers: {
              'Content-Type': 'application/json'
          },
          body: JSON.stringify({
              article_id: aid
          })
      }).then(function(response) {
          return response.json();
      }).then(function(json) {
          //console.log(JSON.stringify(json));
          if (json.code == 1) {
              var list = json.list;
              var boxhtml = template('list_tmp', {
                  list: list
              });
              $("#list").html(boxhtml);
              //finishRender();
          } else {
              api.alert({
                  msg: json.msg
              });
          }
          api.hideProgress();
      });

      api.setRefreshHeaderInfo({
          loadingImg: 'widget://image/refresh.png',
          bgColor: '#ccc',
          textColor: '#fff',
          textDown: '下拉刷新...',
          textUp: '松开刷新...'
      }, function(ret, err) {
          //加载完成后调用api.refreshHeaderLoadDone()方法恢复组件到默认状态
          setTimeout(function() {
              api.refreshHeaderLoadDone();
              location.reload();
          }, 1000);
      });

      $(".gotop").on("click", function() {
          api.pageUp({
              top: true
          });
      });
});
