require.config({
  paths: {
    jquery: "./lib/jquery-1.10.2.min",
    swiper:"./lib/swiper.min",
    template:"./lib/template-web",
    common:"./common",
    fetch:"./lib/fetch",
    vconsole:"./lib/vconsole.min"
  }
});


define(["common","jquery","swiper","template","vconsole"], function(common,$,Swiper,template,vConsole) {
    //公共变量
    var _page=1;
    var _pagesize=10;
    var _pagetype=0;
    var _loadend=0;

    //获取关键词
    var _keyword = api.pageParam.keyword;

    //初始化公共方法
    common.init();
    //开启调试
    //new vConsole();
    //首次获取文章列表
    getArticleList();

    // 下拉刷新
    api.setRefreshHeaderInfo({
        loadingImg: 'widget://image/refresh.png',
        bgColor: '#ccc',
        textColor: '#fff',
        textDown: '下拉刷新...',
        textUp: '松开刷新...'
    }, function(ret, err) {
        //加载完成后调用api.refreshHeaderLoadDone()方法恢复组件到默认状态
        setTimeout(function(){
          api.refreshHeaderLoadDone();
          location.reload();
        },1000);
    });

    //上拉加载
    api.addEventListener({
        name : 'scrolltobottom',
        extra : {
                threshold : 0 //设置距离底部多少距离时触发，默认值为0，数字类型
        }
    }, function(ret, err) {
        //console.log("加载更多");
        loadmore();
    });

    //加载更多
    function loadmore(){
        _page++;
        getArticleList();
    }


    //按序加载图片列表
    function lazyloadImg(el){
      $(el).find(".list-item").each(function(){
        var img=new Image();
        img.src=$(this).data("src");
        console.log(img.src);
        var me=$(this);
        img.onload=function(){
          me.attr("style","background:url("+img.src+") no-repeat center;background-size:cover");
        }
      });
    }

    //获取文章列表
    function getArticleList(){
      if(_loadend==1){return false;}
      api.showProgress({
          style: 'default',
          animationType: 'fade',
          modal: true
      });
      //return false;
      fetch(common.api+"/Home/Article/getArticles", {
    	  method: 'POST',
    	  headers: {
    	    'Content-Type': 'application/json'
    	  },
    	  body: JSON.stringify({
    	    article_type: 1,
          eye_type:_pagetype,
          keyword:_keyword,
          page:_page,
          page_size:_pagesize
    	  })
    	}).then(function(response) {
          return response.json();
      }).then(function(json) {
          //console.log(JSON.stringify(json));
          if(json.code==1){
            var list = json.list;
            if(list.length>0){
              var html = template('articles_tmp', {list:list});
              $("#articles").append(html);
              //lazyloadImg("#articles");
            }else{
              _loadend=1;
              if($(".nomore").length==0){
                $("#articles").append("<div class='nomore'>没有更多数据了</div>");
              }
            }
          }else{

          }
          api.hideProgress();
      });
    }

    //交互事件
    $("#articles").on("click",".list-item",function(){
      var aid = $(this).data("aid");
      api.openWin({
          name: 'detailBar',
          url: './detailBar.html',
          pageParam: {
              showpage:"mainDetail",
              aid: aid,
              title:"资讯详情"
          }
      });
    });
  });
