require.config({
  paths: {
    jquery: "./lib/jquery-1.10.2.min",
    template:"./lib/template-web",
    common:"./common"
  }
});

define(["common","jquery","template"], function(common,$,template) {
  //初始化公共方法
  common.init();

  apiready = function(){
    //百度统计
    var baiduMTJ = api.require('baiduMTJ');
    baiduMTJ.init({}, function(ret, err) {
      if (ret) {
          //alert(JSON.stringify(ret));
      } else {
          //alert(JSON.stringify(err));
      }
    });
    baiduMTJ.onPageStart({
        pagename: 'index',
    }, function(ret, err) {
        if (ret.status) {
            //alert(JSON.stringify(ret));
        } else {
            //alert(JSON.stringify(err));
        }
    });


      var systemType = api.systemType;  // 比如： ios
      var bMap = api.require('bMap');

      var headerH = $("#header").height();
      var footerH =$("#nav").height();
      var frameH = api.winHeight - headerH - footerH;
      var pageInd = 0;

      var frames = [];

      frames.push(
      {
          name: 'main',
          url: 'html/main.html',
          useWKWebView:false,  //使用WKWebView来加载页面,主要是为了监听滚动条
          bounces: true
      },
      {
          name: 'activity',
          url: 'html/activity.html',
          bounces: true
      },
      {
          name: 'live',
          url: 'html/live.html',
          bounces: true
      },
      {
          name: 'my',
          url: 'html/my.html',
          bounces: true
      });

      //定位后请求页面
      function ready(){
          api.openFrameGroup({
              name: 'group',
              scrollEnabled: false,
              rect: {
                x: 0,
                y: headerH,
                w: 'auto',
                h: frameH
              },
              index: 0,
              frames: frames
          }, function(ret, err) {
            baiduMTJ.onPageEnd({
                pagename: 'index',
            }, function(ret, err) {
                if (ret.status) {
                    //alert(JSON.stringify(ret));
                } else {
                    //alert(JSON.stringify(err));
                }
            });
          });
      }

      // 切换页面
      $(".tab-item").on("click",function(){
        var index = $(this).index();
        pageInd = index;
        if(index==3){
          if(common.getkey().length==""){
            openLogin();
            return false;
          }
        }

        $(this).addClass("active").siblings().removeClass("active");
        api.setFrameGroupIndex({
            name: 'group',
            index: index,
            scroll:true
        });
        if(index==0){
          $("#title").html("视野资讯");
          $(".search-icon").show();
          $(".location").show();
        }else if(index==1){
          $("#title").html("活动资讯");
          $(".search-icon").show();
          $(".location").show();
        }else if(index==2){
          $("#title").html("现场图片");
          $(".search-icon").hide();
          $(".location").hide();
        }else if(index==3){
          $("#title").html("个人中心");
          $(".search-icon").hide();
          $(".location").hide();
        }

      });

      $("#search").on("click",function(){
          openSearch();
      });

      $(".location").on("click",function(){
          openLocation();
      });


      //打开登录页面
      function openLogin(){
        var baseW = api.winWidth/10;
        var navH = baseW*1.68;
        var bottomH = baseW*1.3;
        api.openWin({
            name: 'login',
            url: 'html/login.html',
            rect: {
                x: 0,
                y: 0,
                w: 'auto',
                h: 'auto'
            },
            bounces: false
        });
      }

      //打开搜索页面
      function openSearch(){
        api.openWin({
            name: 'search',
            url: 'html/search.html',
            rect: {
                x: 0,
                y: 0,
                w: 'auto',
                h: 'auto'
            },
            pageParam: {
                pageInd:pageInd
            },
            bounces: false
        });
      }

      //打开定位页面
      function openLocation(){
        api.openWin({
            name: 'location',
            url: 'html/location.html',
            rect: {
                x: 0,
                y: 0,
                w: 'auto',
                h: 'auto'
            },
            bounces: false
        });
      }

      //百度地图定位
      function getNameFromCoords() {
            //alert(123);
            //var bMap = api.require('bMap');
            bMap.getLocation({
                accuracy: '100m',
                autoStop: false
            }, function(ret, err) {
                //alert(JSON.stringify(ret));
                if (ret.status) {
                    bMap.getNameFromCoords({
                        lon: ret.lon,
                        lat: ret.lat
                    }, function(ret_c, err_c) {
                        if (ret_c.status) {
                            //api.alert({msg:ret_c.city});
                            $("#mainLocation").text(ret_c.city);
                            // 保存定位城市到缓存
                            $api.setStorage('location',ret_c.city);
                            ready();
                        }else{
                            //alert(err_c.code);
                            alert(JSON.stringify(err_c));
                        }
                    });
                } else {
                    alert(err.code);
                }
                return false;
            });
            //如果定位失败，则默认广州
            setTimeout(function(){
              $("#mainLocation").text('广州市');
              $api.setStorage('location','广州市');
              ready();
            },3000);
      }

      //判断缓存里是否有定位城市
      if($api.getStorage("location")==undefined){
        //苹果需要初始化sdk
        if(systemType=="ios"){
          bMap.initMapSDK(function(ret) {
              if (ret.status) {
                  getNameFromCoords();
              }
          });
        }else{
          getNameFromCoords();
        }
      }else{
          $("#mainLocation").text($api.getStorage("location"));
          ready();
      }

  };
});
