require.config({
  paths: {
    jquery: "./lib/jquery-1.10.2.min",
    template: "./lib/template-web",
    common:"./common"
  }
});

define(["common","jquery","template"], function(common,$,template) {
      //初始化公共方法
      common.init();
      var aid = api.pageParam.aid;
      var _page=1;
      var _pagesize=20;
      var _loadend=0;

      getList();

      //上拉加载
      api.addEventListener({
          name : 'scrolltobottom',
          extra : {
              threshold : 0 //设置距离底部多少距离时触发，默认值为0，数字类型
          }
      }, function(ret, err) {
          //console.log("加载更多");
          loadmore();
      });

      //加载更多
      function loadmore(){
          _page++;
          getList();
      }

      function getList(){
        if(_loadend==1){return false;}
        api.showProgress({
            style: 'default',
            animationType: 'fade',
            modal: true
        });
        fetch(common.api + "/Home/Article/getCollectUser", {
            method: 'POST',
            headers: {
                'Content-Type': 'application/json'
            },
            body: JSON.stringify({
                article_id: aid,
                page:_page,
                page_size:_pagesize
            })
        }).then(function(response) {
            return response.json();
        }).then(function(json) {
            //console.log(JSON.stringify(json));
            if (json.code == 1) {
              var list = json.list;
              if(list.length>0){
                var html = template('list_tmp', {list:list});
                $("#list").append(html);
              }else{
                _loadend=1;
                if($(".nomore").length==0){
                  $("#list").append("<div class='nomore'>没有更多数据了</div>");
                }
              }
            } else {
                api.alert({
                    msg: json.msg
                });
            }
            api.hideProgress();
        });
      }

      api.setRefreshHeaderInfo({
          loadingImg: 'widget://image/refresh.png',
          bgColor: '#ccc',
          textColor: '#fff',
          textDown: '下拉刷新...',
          textUp: '松开刷新...'
      }, function(ret, err) {
          //加载完成后调用api.refreshHeaderLoadDone()方法恢复组件到默认状态
          setTimeout(function() {
              api.refreshHeaderLoadDone();
              location.reload();
          }, 1000);
      });

});
