require.config({
  paths: {
    "jquery": "./lib/jquery-1.10.2.min",
    "template":"./lib/template-web",
    "common":"./common",
    "touchTouch":"./lib/touchTouch.jquery"
  }
});

define(["common","jquery","template","touchTouch"], function(common,$,template,touchTouch) {
    //初始化公共方法
    common.init();

    console.log(touchTouch);
    var aid = api.pageParam.aid;
    //console.log(aid);
    // 直接获取文章详情
    api.showProgress({
        style: 'default',
        animationType: 'fade',
        modal: true
    });


    fetch(common.api+"/Home/Article/getArticleById", {
  	  method: 'POST',
  	  headers: {
  	    'Content-Type': 'application/json'
  	  },
  	  body: JSON.stringify({
  	    article_id:aid
  	  })
  	}).then(function(response) {
        return response.json();
    }).then(function(json) {
        //console.log(JSON.stringify(json));
        //return false;
        if(json.code==1){
          var article = json.article;
          var boxhtml = template('article_tmp', {article:article});
          $("#article").html(boxhtml);
          var imgArr = article.big_images;
          var option={cameraman:article.cameraman,love:article.collect_num};
          $("#imgList a").touchTouch(option,function(num){
            var downloadUrl = imgArr[num];
            var imgNaem= 'fs://'+(new Date()).valueOf()+".png";
            api.download({
                url: downloadUrl,
                savePath: imgNaem,
                report: true,
                cache: true,
                allowResume: true
            }, function(ret, err) {
                if (ret.state == 1) {
                    //alert("下载成功");
                    api.saveMediaToAlbum({
                        path: imgNaem
                    }, function(ret, err) {
                        if (ret && ret.status) {
                            api.alert({msg: '保存成功'});
                        } else {
                            api.alert({msg: '保存失败'});
                        }
                    });
                } else {
                  //alert('下载失败');
                }
            });
          });
        }else{
          api.alert({msg: json.msg});
        }
        api.hideProgress();
    });


    api.setRefreshHeaderInfo({
        loadingImg: 'widget://image/refresh.png',
        bgColor: '#ccc',
        textColor: '#fff',
        textDown: '下拉刷新...',
        textUp: '松开刷新...'
    }, function(ret, err) {
        //加载完成后调用api.refreshHeaderLoadDone()方法恢复组件到默认状态
        setTimeout(function(){
          api.refreshHeaderLoadDone();
          location.reload();
        },1000);
    });

    //渠道详情页
    $("#article").on("click","#go-detail",function(){
      var aid=$(this).data("aid");
      //alert(aid);
      api.openWin({
          name: 'detailBar2',
          url: './detailBar.html',
          pageParam: {
              showpage:"activityDetail",
              aid: aid,
              title:"活动详情"
          }
      });
    });

    //返回顶部
    $(".gotop").on("click",function(){
      api.pageUp({top:true});
    });


});
