require.config({
  paths: {
    jquery: "./lib/jquery-1.10.2.min",
    template:"./lib/template-web",
    common:"./common"
  }
});

define(["common","jquery","template"], function(common,$,template) {

    //初始化公共方法
    common.init();

    var mylocation=$api.getStorage("location");
    $("#mycity").text(mylocation);

    //关闭窗口
    $(".back-btn").on("click",function(){
      api.closeWin();
    });

    function getCitys(){
      fetch(common.api+"/Home/Basic/getCityList", {
    	  method: 'GET'
    	}).then(function(response) {
          return response.json();
      }).then(function(json) {
          //console.log(JSON.stringify(json));
          if(json.code==1){
            var list = json.list;
            var html = template('list_tmp', {list:list});
            $("#list").html(html);
            cityListReady();
          }else{
            api.alert({  msg: json.msg });
          }
      });
    }
    getCitys();

    //刷新活动页和视野页
    function GoToRefresh() {
        api.execScript({
            name: 'root',
            frameName: 'activity',
            script: 'location.reload();'
        });
        api.execScript({
            name: 'root',
            frameName: 'main',
            script: 'location.reload();'
        });
        api.execScript({
            name: 'root',
            script: '$("#mainLocation").text($api.getStorage("location"));'
        });
    }

    function cityListReady(){
      //用户手动选择城市
      $("#list").find("li").on("click",function(){
        //api.alert({  msg: $(this).text() });
        $api.setStorage('location', $(this).text());
        GoToRefresh();
        api.closeWin();
      });
    }
});
