require.config({
    paths: {
        jquery: "./lib/jquery-1.10.2.min",
        swiper: "./lib/swiper.min",
        common: "./common",
        //vconsole:"./lib/vconsole.min"
    }
});

define(["common", "jquery", "swiper"], function(common, $, Swiper) {

    //初始化公共方法
    common.init();

    //手机号登录
    function login() {
        var phone = $("#telephone").val();
        var password = $("#password").val();
        if (phone == "") {
            api.alert({
                msg: "请输入手机号"
            });
            return false;
        }
        if (password == "") {
            api.alert({
                msg: "请输入登录密码"
            });
            return false;
        }

        fetch(common.api + "/Home/Com/appTelLogin", {
            method: 'POST',
            headers: {
                'Content-Type': 'application/json'
            },
            body: JSON.stringify({
                telephone: phone,
                password: password
            })
        }).then(function(response) {
            return response.json();
        }).then(function(json) {
            //api.alert({msg: JSON.stringify(json)});
            if (json.code == 1) {
                api.alert({
                    msg: "登录成功！"
                });
                $api.setStorage("key", json.key);
                api.execScript({
                    name: 'root',
                    frameName: 'my',
                    script: 'location.reload();'
                });
                api.closeWin();
            } else {
                api.alert({
                    msg: json.msg
                });
            }
        });
    }


    var wx = api.require('wx');

    //微信登录
    $("#wx_login").on("click", function() {
        //console.log("微信登录");
        wx.isInstalled(function(ret, err) {
            if (!ret.installed) {
                api.alert({
                    msg: "未安装微信，请尝试其他登录方式"
                });
            } else {
                wx.auth({
                    apiKey: ''
                }, function(ret, err) {
                    if (ret.status) {
                        //alert(JSON.stringify(ret.code));
                        // 获取成功，用返回的code获取toekn
                        wx.getToken({
                            apiKey: '',
                            apiSecret: '',
                            code: ret.code
                        }, function(ret, err) {
                            if (ret.status) {
                                //alert(JSON.stringify(ret));
                                handel_login("weixin",ret.openId,ret.accessToken);
                            } else {
                                api.alert({
                                    msg: err.code
                                });
                                api.alert({ msg:"微信登录失败"});
                            }
                        });
                    } else {
                        api.alert({
                            msg: err.code
                        });
                        //api.alert({ msg:"微信登录失败"});
                    }
                });
            }
        });
    });

    $("#login").on("click", function() {
        login();
    });

    $(".close_btn").on("click", function() {
        api.closeWin();
    });

    $(".go-register").on("click", function() {
        api.openWin({
            name: 'register',
            url: './register.html'
        });
    });

    //处理第三方登录
    function handel_login(type,openid,accessToken){
      if(type=="weixin"){
        wx.getUserInfo({
            accessToken: accessToken,
            openId: openid
        }, function(ret, err) {
            if (ret.status) {
                //api.alert({ msg:JSON.stringify(ret) });
                fetch(common.api + "/Home/Com/appWxLogin", {
                    method: 'POST',
                    headers: {
                        'Content-Type': 'application/json'
                    },
                    body: JSON.stringify({
                        openid: ret.openid,
                        union_id: ret.unionid,
                        nickname:ret.nickname,
                        headimgurl:ret.headimgurl,
                        sex:ret.sex
                    })
                }).then(function(response) {
                    return response.json();
                }).then(function(json) {
                    //api.alert({msg: JSON.stringify(json)});
                    if (json.code == 1) {
                        api.alert({
                            msg: "登录成功！"
                        });
                        $api.setStorage("key", json.key);
                        if(!json.has_telephone){
                          api.openWin({
                              name: 'bindPhone',
                              url: './bindPhone.html'
                          });
                        }else{
                          api.execScript({
                              name: 'root',
                              frameName: 'my',
                              script: 'location.reload();'
                          });
                          api.closeToWin({
                              name: 'root'
                          });
                        }
                    } else {
                        api.alert({
                            msg: json.msg
                        });
                    }
                });
            } else {
                api.alert({
                    msg: err.code
                });
            }
        });
      }
    }

});
