require.config({
  paths: {
    jquery: "./lib/jquery-1.10.2.min",
    swiper:"./lib/swiper.min",
    template:"./lib/template-web",
    common:"./common",
    fetch:"./lib/fetch",
    vconsole:"./lib/vconsole.min"
  }
});


define(["common","jquery","swiper","template","vconsole"], function(common,$,Swiper,template,vConsole) {
    //公共变量
    var _page=1;
    var _pagesize=10;
    var _pagetype=0;
    var _loadend=0;
    //极光推送
    var ajpush = api.require('ajpush');
    var systemType = api.systemType;  // 比如： ios

    //监听极光推送
    ajpush.init(function(ret) {
        //api.alert({msg:JSON.stringify(ret)});
        if (ret && ret.status){
          //注册用户
            ajpush.bindAliasAndTags({alias:'default'},function(ret) {
                var statusCode = ret.statusCode;
                //alert(statusCode);
            });
            ajpush.setBadge({badge:0}); //清除图标红色数字
        }
    });

    //打开应用时
    ajpush.setListener(
        function(ret) {
             var id = ret.id;
             var title = ret.title;
             var content = ret.content;
             var extra = ret.extra;
             //alert("id:"+id+"//title:"+title+"//content:"+content+"//extra:"+JSON.stringify(extra));
             ajpush.setBadge({badge:0}); //清除图标红色数字
             api.alert({
                 msg: '您收到一条推送消息'
             }, function(ret, err){
                 goToArticle(extra.article_type,extra.article_id); //去到文章详情
             });
        }
    );

    //监听通知被点击时
    if(systemType=="ios"){
      api.addEventListener({
          name: 'noticeclicked'
      }, function(ret, err) {
          if (ret && ret.value) {
              var content = ret.value.content;
              var extra = ret.value.extra;
              //alert("ajpush:"+JSON.stringify(ajpush)+"//content:"+content+"//extra:"+JSON.stringify(extra));
              ajpush.setBadge({badge:0}); //清除图标红色数字
              goToArticle(extra.article_type,extra.article_id); //去到文章详情
          }
      })
    }else{
        api.addEventListener({
            name: 'appintent'
        }, function(ret, err) {
            if (ret && ret.appParam.ajpush) {
                var ajpush = ret.appParam.ajpush;
                var id = ajpush.id;
                var title = ajpush.title;
                var content = ajpush.content;
                var extra = ajpush.extra;
                goToArticle(extra.article_type,extra.article_id); //去到文章详情
            }
        });
    }

    //初始化公共方法
    common.init();
    //开启调试
    //new vConsole();
    //apiready=function(){
    //首次获取文章列表
    getArticleList();

    // 下拉刷新
    api.setRefreshHeaderInfo({
        loadingImg: 'widget://image/refresh.png',
        bgColor: '#ccc',
        textColor: '#fff',
        textDown: '下拉刷新...',
        textUp: '松开刷新...'
    }, function(ret, err) {
        //加载完成后调用api.refreshHeaderLoadDone()方法恢复组件到默认状态
        setTimeout(function(){
          api.refreshHeaderLoadDone();
          location.reload();
        },1000);
    });

    //上拉加载
    api.addEventListener({
        name : 'scrolltobottom',
        extra : {
                threshold : 0 //设置距离底部多少距离时触发，默认值为0，数字类型
        }
    }, function(ret, err) {
        //console.log("加载更多");
        loadmore();
    });
    //}

    function runbanner(){
      new Swiper('.swiper-container', {
    		autoplay: 5000,//可选选项，自动滑动
    		loop:true
    	});
    }

    //加载更多
    function loadmore(){
        _page++;
        getArticleList();
    }

    //切换文章类型
    function changeType(type){
        $("#articles").html("");
        _loadend=0;
        _page=1;
        _pagetype=type;
        getArticleList();
    }

    //请求首页轮播图,用到了common里调用的fetch.js
    fetch(common.api+"/Home/Basic/getBanner", {
  	  method: 'POST',
  	  headers: {
  	    'Content-Type': 'application/json'
  	  },
  	  body: JSON.stringify({
  	    position: 1
  	  })
  	}).then(function(response) {
        return response.json();
    }).then(function(json) {
        //console.log(JSON.stringify(json));
        if(json.code==1){
          var banner = json.list;
          var html = template('swiperbox_tmp', {banner:banner});
          $("#swiperbox").html(html);
          runbanner();
        }else{
          api.alert({  msg: json.msg  });
        }
    });

    //获取视野分类
    fetch(common.api+"/Home/Article/getEyeType").then(function(response) {
        return response.json();
    }).then(function(json) {
        //console.log(JSON.stringify(json));
        if(json.code==1){
          var list = json.list;
          var html = template('nav_tmp', {list:list});
          $("#nav").html(html);
          //切换文章类型
          $(".nav-item").on("click",function(){
            $(this).addClass("active").siblings().removeClass("active");
            var type=$(this).data("typeid");
            //api.alert({msg:type});
            changeType(type);
          });
        }else{
          api.alert({  msg: json.msg  });
        }
    });

    //按序加载图片列表
    function lazyloadImg(el){
      $(el).find(".list-item").each(function(){
        var img=new Image();
        img.src=$(this).data("src");
        console.log(img.src);
        var me=$(this);
        img.onload=function(){
          me.attr("style","background:url("+img.src+") no-repeat center;background-size:cover");
        }
      });
    }

    //获取文章列表
    function getArticleList(){
      if(_loadend==1){return false;}
      api.showProgress({
          style: 'default',
          animationType: 'fade',
          modal: true
      });
      //return false;
      fetch(common.api+"/Home/Article/getArticles", {
    	  method: 'POST',
    	  headers: {
    	    'Content-Type': 'application/json'
    	  },
    	  body: JSON.stringify({
    	    article_type: 1,
          eye_type:_pagetype,
          city:$api.getStorage("location"),
          page:_page,
          page_size:_pagesize
    	  })
    	}).then(function(response) {
          return response.json();
      }).then(function(json) {
          //console.log(JSON.stringify(json));
          if(json.code==1){
            var list = json.list;
            if(list.length>0){
              var html = template('articles_tmp', {list:list});
              $("#articles").append(html);
              //lazyloadImg("#articles");
            }else{
              _loadend=1;
              if($(".nomore").length==0){
                $("#articles").append("<div class='nomore'>没有更多数据了</div>");
              }
            }
          }else{
            api.alert({  msg: json.msg  });
          }
          api.hideProgress();
      });
    }

    // setTimeout(function(){
    //   goToArticle(1,317);
    // },10000);

    //监听极光推送
    function goToArticle(type,aid){
        //1视野，2活动，3现场
        var toPage="";
        var title="";
        if(type==1){
            toPage="mainDetail";
            title="资讯详情";
        }else if(type==2){
            toPage="activeDetail";
            title="活动详情";
        }else if(type==3){
            toPage="liveDetail";
            title="详情";
        }
        api.openWin({
            name: 'detailBar',
            url: './detailBar.html',
            pageParam: {
                showpage:toPage,
                aid: aid,
                title:title
            }
        });
    }

    //交互事件
    $("#articles").on("click",".list-item",function(){
      var aid = $(this).data("aid");
      api.openWin({
          name: 'detailBar',
          url: './detailBar.html',
          pageParam: {
              showpage:"mainDetail",
              aid: aid,
              title:"资讯详情"
          }
      });
    });
  });
