require.config({
    paths: {
        jquery: "./lib/jquery-1.10.2.min",
        swiper: "./lib/swiper.min",
        template: "./lib/template-web",
        common: "./common",
        //vconsole:"./lib/vconsole.min"
    }
});

define(["common", "jquery", "swiper", "template"], function(common, $, Swiper, template) {
    //初始化公共方法
    common.init();

    var _page=1;
    var _pagesize=10;


    fetch(common.api+"/Home/User/getMyInfo", {
  	  method: 'POST',
  	  headers: {
  	    'Content-Type': 'application/json'
  	  },
  	  body: JSON.stringify({
  	    key: common.getkey()
  	  })
  	}).then(function(response) {
        return response.json();
    }).then(function(json) {
        //console.log(JSON.stringify(json));
        //api.alert({msg:"666"});
        if(json.code==1){
          var html = template('topbar_tmp', {data:json});
          $("#topbar").html(html);
          finishToper();
        }else{
          //api.alert({  msg: json.msg  });
          // if(!json.has_telephone){
          //   api.openWin({
          //       name: 'bindPhone',
          //       url: './bindPhone.html'
          //   });
          // }
        }
    });

    api.setRefreshHeaderInfo({
        loadingImg: 'widget://image/refresh.png',
        bgColor: '#ccc',
        textColor: '#fff',
        textDown: '下拉刷新...',
        textUp: '松开刷新...'
    }, function(ret, err) {
        //加载完成后调用api.refreshHeaderLoadDone()方法恢复组件到默认状态
        setTimeout(function() {
            api.refreshHeaderLoadDone();
            location.reload();
        }, 1000);
    });

    //读取个人资料完成
    function finishToper(){

      //点击设置
      $("#to-setting").on("click",function(){
        api.openWin({
            name: 'setting',
            url: './setting.html'
        });
      })

      //获取视野列表
      getArticleList(1);
      //切换tab
      $(".tab-item").on("click",function(){
        var ind=$(this).index();
        $(this).addClass("active").siblings().removeClass("active");
        if(ind==0){
          getArticleList(1);
        }else if(ind==1){
          getArticleList(2);
        }else if(ind==2){
          getComment();
        }
      });
    }


    // 获取列表数据，1视野，2活动
    function getArticleList(type){
      fetch(common.api+"/Home/User/getMyCollectArticle", {
        method: 'POST',
        headers: {
          'Content-Type': 'application/json'
        },
        body: JSON.stringify({
          key: common.getkey(),
          article_type:type,
          page:_page,
          page_size:_pagesize
        })
      }).then(function(response) {
          return response.json();
      }).then(function(json) {
          //console.log(JSON.stringify(json));
          if(json.code==1){
            var list = json.list;
            if(list.length==0){
              var html = "<div class='nodata'>没有数据</div>";
            }else{
              var html = template('art_tmp1', {list:list,type:type});
            }
            $("#articles").html(html);
            finishRender();
          }else{
            api.alert({  msg: json.msg  });
          }
      });
    }

    //获取评论列表
    function getComment(){
      fetch(common.api+"/Home/User/getMyComment", {
        method: 'POST',
        headers: {
          'Content-Type': 'application/json'
        },
        body: JSON.stringify({
          key: common.getkey(),
          page:_page,
          page_size:_pagesize
        })
      }).then(function(response) {
          return response.json();
      }).then(function(json) {
          //console.log(JSON.stringify(json));
          if(json.code==1){
            var list = json.list;
            if(list.length==0){
              var html = "<div class='nodata'>没有数据</div>";
            }else{
              var html = template('art_tmp2', {list:list});
            }
            $("#articles").html(html);
            finishRender();
          }else{
            api.alert({  msg: json.msg  });
          }
      });
    }

    //列表渲染完成
    function finishRender(){
      $(".to-article").on("click",function(){
        var aid = $(this).data("aid");
        if($(this).data("type")==1){
          api.openWin({
              name: 'detailBar',
              url: './detailBar.html',
              pageParam: {
                  showpage:"mainDetail",
                  aid: aid
              }
          });
        }else if($(this).data("type")==2){
          api.openWin({
              name: 'detailBar',
              url: './detailBar.html',
              pageParam: {
                  showpage:"activityDetail",
                  aid: aid
              }
          });
        }
      });
    }

});
