require.config({
    paths: {
        jquery: "./lib/jquery-1.10.2.min",
        swiper: "./lib/swiper.min",
        common: "./common",
        //vconsole:"./lib/vconsole.min"
    }
});

define(["common", "jquery", "swiper"], function(common, $, Swiper) {

    //初始化公共方法
    common.init();

    // 获取验证码
    function getVcode() {
        var phone = $("#telephone").val();
        fetch(common.api + "/Home/Com/getTelephoneCheckCode", {
            method: 'POST',
            headers: {
                'Content-Type': 'application/json'
            },
            body: JSON.stringify({
                telephone: phone
            })
        }).then(function(response) {
            return response.json();
        }).then(function(json) {
            api.alert({
                msg: JSON.stringify(json)
            });
        });
    }

    //手机号注册
    function register() {
        var phone = $("#telephone").val();
        var password = $("#password").val();
        var password2 = $("#password2").val();
        var vcode = $("#vcode").val();
        if (phone == "") {
            api.alert({
                msg: "请输入手机号"
            });
            return false;
        }
        if (phone.length != 11) {
            api.alert({
                msg: "手机号码格式不正确"
            });
            return false;
        }
        if (password != password2) {
            api.alert({
                msg: "两次密码不一致"
            });
            return false;
        }

        fetch(common.api + "/Home/Com/appTelRegister", {
            method: 'POST',
            headers: {
                'Content-Type': 'application/json'
            },
            body: JSON.stringify({
                telephone: phone,
                password: password,
                re_password: password2,
                check_code: vcode
            })
        }).then(function(response) {
            return response.json();
        }).then(function(json) {
            //api.alert({msg: JSON.stringify(json)});
            if (json.code == 1) {
                api.alert({
                    msg: "注册成功！"
                });
            } else {
                api.alert({
                    msg: json.msg
                });
            }
        });
    }

    $("#getCode").on("click", function() {
        getVcode();
    });

    $("#register").on("click", function() {
        register();
    });

    $(".close_btn").on("click", function() {
        api.closeWin();
    });

});
