require.config({
  paths: {
    jquery: "./lib/jquery-1.10.2.min",
    template:"./lib/template-web",
    common:"./common"
  }
});

define(["common","jquery","template"], function(common,$,template) {
    //接收从哪个页面搜索的，0是视野，1是活动
    var pageInd = api.pageParam.pageInd;
    var headerH = $("#header").height();
    var frameH = api.winHeight - headerH;

    //初始化公共方法
    common.init();

    api.showProgress({
        style: 'default',
        animationType: 'fade',
        modal: true
    });

    fetch(common.api+"/Home/Basic/getSearchKeyword", {
      method: 'GET',
      headers: {
        'Content-Type': 'application/json'
      }
    }).then(function(response) {
        return response.json();
    }).then(function(json) {
        //console.log(JSON.stringify(json));
        //return false;
        if(json.code==1){
          var list = json.list;
          var html = template('list_tmp', {list:list});
          $("#list").html(html);
        }else{
          api.alert({msg: json.msg});
        }
        api.hideProgress();
    });

    //快捷赋值
    $("#list").on("click","li",function(){
        var str = $(this).text();
        $("#search-input").val(str);
        $("#cancle").show();
    });

    //检测是否显示清空按钮
    $("#search-input").on("input",function(){
        if($(this).val().length>0){
          $("#cancle").show();
        }else{
          $("#cancle").hide();
        }
    });

    //关闭窗口
    $(".back-btn").on("click",function(){
      api.closeWin();
    });

    //点击清空
    $("#cancle").on("click",function(){
        $("#search-input").val("");
        $("#cancle").hide();
    });

    //点击搜索
    $("#do-search").on("click",function(){
        if(pageInd==0){
          api.closeFrame({
              name: 'eyelist'
          });
        }else if(pageInd==1){
          api.closeFrame({
              name: 'activity'
          });
        }
        var keyword = $("#search-input").val();
        if($.trim(keyword)==""){
          api.alert({msg:"请输入关键字"});
          return false;
        }

        showResult(keyword);
    });

    //展示搜索列表
    function showResult(keyword){
      //console.log(keyword);
      if(pageInd==0){
        api.openFrame({
            name: "eyelist",
            url: "./eyeList.html",
            rect: {
              x: 0,
              y: headerH,
              w: 'auto',
              h: frameH
            },
            pageParam: {
                keyword: keyword
            },
            bounces: true
        });
      }else if(pageInd==1){
        api.openFrame({
            name: "activity",
            url: "./activity.html",
            rect: {
              x: 0,
              y: headerH,
              w: 'auto',
              h: frameH
            },
            pageParam: {
                keyword: keyword
            },
            bounces: true
        });
      }
    }

});
