require.config({
    paths: {
        template: "./lib/template-web",
    }
});

define(["template"], function(template) {
    //初始化公共方法
    common.init();

    var FNImageClip = api.require('FNImageClip');

    fetch(common.api+"/Home/User/getMyInfo", {
  	  method: 'POST',
  	  headers: {
  	    'Content-Type': 'application/json'
  	  },
  	  body: JSON.stringify({
  	    key: common.getkey()
  	  })
  	}).then(function(response) {
        return response.json();
    }).then(function(json) {
        console.log(JSON.stringify(json));
        if(json.code==1){
          //var html = template('topbar_tmp', {data:json});
          //$("#topbar").html(html);
          finishToper();
        }else{
          api.alert({  msg: json.msg  });
        }
    });

    //读取个人资料完成
    function finishToper(){
      $("#set_avatar").on("click",function(){
        //getpic();
          var buttons1 = [
            {
              text: '请选择',
              label: true
            },
            {
              text: '卖出',
              bold: true,
              color: 'danger',
              onClick: function() {
                $.alert("你选择了“卖出“");
              }
            },
            {
              text: '买入',
              onClick: function() {
                $.alert("你选择了“买入“");
              }
            }
          ];
          var buttons2 = [
            {
              text: '取消',
              bg: 'danger'
            }
          ];
          var groups = [buttons1, buttons2];
          $.actions(groups);
      });
    }

    // 从相册获取图片
    function getpic(){
      api.getPicture({
          sourceType: 'album',
          encodingType: 'jpg',
          mediaValue: 'pic',
          destinationType: 'url',
          allowEdit: false,
          quality: 50,
          saveToPhotoAlbum: false
      }, function(ret, err) {
          if (ret) {
              if(ret.data.length>0){
                //alert(JSON.stringify(ret));
                clipPhoto(ret.data);
              }
          } else {
              //alert(JSON.stringify(err));
          }
      });
    }

    //裁切
    function clipPhoto(myphoto){
      FNImageClip.open({
          rect: {
              x: 0,
              y: 0,
              w: api.winWidth,
              h: api.winHeight
          },
          srcPath: myphoto,
          style: {
              mask: '#888',
              clip: {
                  w: 100,
                  h: 100,
                  x: 50,
                  y: 50,
                  borderColor: '#0f0',
                  borderWidth: 1,
                  appearance: 'rectangle'
              }
          },
          fixedOn: api.frameName
      }, function(ret, err) {
          if (ret) {
              alert(JSON.stringify(ret));
          } else {
              alert(JSON.stringify(err));
          }
      });
    }


});
